package com.sckw.core.model.enums;

import lombok.Getter;
/**
 * @author lfdc
 * @description 预警表setting字段枚举
 * @date 2023-07-07 14:07:23
 */
@Getter
public enum ThresholdEnum {
    IS_NOT_SET(0, "0", "未设置"),
    PARTIAL_SETTING(1, "1", "部分设置"),
    HAVE_SET(2, "2", "已设置"),
    ;
    private final Integer code;
    private final String status;
    private final String destination;

    public Integer getCode() {
        return code;
    }

    public String getStatus() {
        return status;
    }

    public String getDestination() {
        return destination;
    }

    ThresholdEnum(Integer code, String status, String destination) {
        this.code = code;
        this.status = status;
        this.destination = destination;
    }
}
